Bug 125100 - enhancement for j2sdk-1.5.0
enhancement for j2sdk-1.5.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 14:26 EDT by Tom London
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: selinux-policy-strict-1.13.3-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-03 13:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2004-06-02 14:26:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Current file_contexts misses the mozilla plugin for j2sdk-1.5.0
(for my system, its in
/usr/java/j2sdk1.5.0/jre/plugin/i386/ns7/libjavaplugin_oji.so)

Something like the following change would pick it up:

461c461
< /usr/java/j2re1.*/plugin/i386(/.*)?/lib.*\.so.* --
system_u:object_r:shlib_t
---
> /usr/java/j2.*/plugin/i386(/.*)?/lib.*\.so.* --
system_u:object_r:shlib_t



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.13.2-4

How reproducible:
Always

Steps to Reproduce:
1. file_contexts fails to pickup up mozilla plugin for j2sdk-1.5.0
2.
3.
    

Additional info:
Comment 1 Daniel Walsh 2004-06-02 14:35:19 EDT
Added fix in selinux-policy-strict-1.13.2-8

Dan
Comment 2 Tom London 2004-06-03 13:38:50 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.